## ubuntu-docs 6.10.4.2

=== ubuntu/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl
# Local path to newer xsl for use with fop 0.90
PDFSTYLE2=../libs/pdf/ubuntu-pdf2.xsl

# Base gnome directories for output from processor
BASE=../build/ubuntu/

PDFBASE=../build/pdf/ubuntu/

LULUBASE=../build/lulu/ubuntu/

RNBASE=../build/ubuntu/release-notes/

GHBASE=../build/ubuntu/getting-help/

ABASE=../build/ubuntu/about-ubuntu/

DGBASE=../build/ubuntu/desktopguide/

PACKAGEBASE= ../build/ubuntu/packagingguide/

IMAGES=../build/ubuntu/images/

SERVERBASE=../build/ubuntu/serverguide/

SGBASE=../build/ubuntu/styleguide/

.PHONY: website

gdeb: 

website: clean au dg server package gh install

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

pdf: dg-pdf server-pdf package-pdf

clean:
	rm -rf $(BASE)

style:

	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

#######################################
#
# Here begin the HTML build targets
# 
#######################################

# About Ubuntu Document
au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)as $(ABASE)ast $(ABASE)be $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)csb $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_AU $(ABASE)en_CA $(ABASE)en_GB $(ABASE)eo $(ABASE)es $(ABASE)es_PR $(ABASE)et $(ABASE)eu $(ABASE)fa $(ABASE)fi $(ABASE)fil $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hi $(ABASE)hr $(ABASE)hu $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)kn $(ABASE)ko $(ABASE)ku $(ABASE)lo $(ABASE)lt $(ABASE)lv $(ABASE)mk $(ABASE)ml $(ABASE)mr $(ABASE)ms $(ABASE)nb $(ABASE)nl $(ABASE)nn $(ABASE)oc $(ABASE)pam $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sq $(ABASE)sr $(ABASE)sv $(ABASE)ta $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)uk $(ABASE)ur $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW

	@echo "--- Building About Ubuntu Document"
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

$(ABASE)%: aboutubuntu/%/about-ubuntu.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
		
#Status: AVAILABLE
# Release Notes
rn:
	@echo "--- Building the Ubuntu Release Notes . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

rn-C:	
	xsltproc --xinclude -o $(RNBASE)C/release-notes.html $(UBUNTUCHUNKXSL) releasenotes/C/release-notes.xml

# Getting Help

gh: style $(GHBASE)C $(GHBASE)de $(GHBASE)en_GB $(GHBASE)es $(GHBASE)fi $(GHBASE)fr $(GHBASE)hr $(GHBASE)hu $(GHBASE)id $(GHBASE)it $(GHBASE)nb $(GHBASE)oc $(GHBASE)pl $(GHBASE)pt $(GHBASE)pt_BR $(GHBASE)sv

$(GHBASE)%: getting-help/%/getting-help.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
	
# Desktop Guide

dg: style $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)ca $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)el $(DGBASE)en_AU $(DGBASE)en_GB $(DGBASE)eo $(DGBASE)es $(DGBASE)et $(DGBASE)fa $(DGBASE)fi $(DGBASE)fr $(DGBASE)gl $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)ku $(DGBASE)mk $(DGBASE)ms $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sl $(DGBASE)sr $(DGBASE)sv $(DGBASE)ta $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)uk $(DGBASE)ur $(DGBASE)zh_CN $(DGBASE)zh_TW

$(DGBASE)%: desktopguide/%/desktopguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

# Server Guide

server: $(SERVERBASE)C $(SERVERBASE)be $(SERVERBASE)bn $(SERVERBASE)cs $(SERVERBASE)da $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hr $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)nl $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tl $(SERVERBASE)tr $(SERVERBASE)ur $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW

	@echo "Building the Server Guide . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	mkdir -p $(SERVERBASE)sample
	cp -r ../generic/serverguide/sample/* $(SERVERBASE)sample/

$(SERVERBASE)%: ../generic/serverguide/%/serverguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

## Packaging Guide

package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)da $(PACKAGEBASE)de $(PACKAGEBASE)en_GB $(PACKAGEBASE)es $(PACKAGEBASE)hu $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)oc $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sl $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)ur $(PACKAGEBASE)zh_CN

	@echo "Building the Packaging Guide . . ."
	mkdir -p $(PACKAGEBASE)images/C
	cp -r ../generic/packagingguide/images/C/*.* $(PACKAGEBASE)images/C/
	mkdir -p $(PACKAGEBASE)files
	cp -r ../generic/packagingguide/files/*.* $(PACKAGEBASE)files
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

install:

	cd ../generic/installation-guide/build && mkdir -p ../../../build/ubuntu/installation-guide && destination='../../../build/ubuntu/installation-guide/'  formats='html txt' manual_release=etch architectures='amd64 hppa i386 ia64 powerpc sparc' ./buildweb.sh && cd ../../../ubuntu/

#######################################
#
# Here begin the PDF build targets
# 
#######################################

# Desktop Guide

dg-pdf: dg-pdf-C dg-pdf-am dg-pdf-be dg-pdf-bn dg-pdf-cs dg-pdf-da dg-pdf-de dg-pdf-en_GB dg-pdf-es dg-pdf-et dg-pdf-fi dg-pdf-fr dg-pdf-he dg-pdf-hu dg-pdf-id dg-pdf-it dg-pdf-ja dg-pdf-ka dg-pdf-ko dg-pdf-nb dg-pdf-nl dg-pdf-oc dg-pdf-pl dg-pdf-pt dg-pdf-pt_BR dg-pdf-ro dg-pdf-ru dg-pdf-sk dg-pdf-sr dg-pdf-sv dg-pdf-th dg-pdf-tl dg-pdf-tr dg-pdf-zh_CN dg-pdf-zh_TW dg-pdf-ca dg-pdf-el dg-pdf-en_AU dg-pdf-eo dg-pdf-fa dg-pdf-gl dg-pdf-hr dg-pdf-ku dg-pdf-mk dg-pdf-ms dg-pdf-sl dg-pdf-ta dg-pdf-uk dg-pdf-ur

dg-pdf-C:

	xsltproc --xinclude -o $(PDFBASE)C/desktopguide.fo $(PDFSTYLE) desktopguide/C/desktopguide.xml
	fop -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
	rm $(PDFBASE)C/desktopguide.fo

dg-pdf-am:

	xsltproc --xinclude -o $(PDFBASE)am/desktopguide.fo $(PDFSTYLE) desktopguide/am/desktopguide.xml
	fop -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
	rm $(PDFBASE)am/desktopguide.fo

dg-pdf-be:

	xsltproc --xinclude -o $(PDFBASE)be/desktopguide.fo $(PDFSTYLE) desktopguide/be/desktopguide.xml
	fop -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
	rm $(PDFBASE)be/desktopguide.fo

dg-pdf-bn:

	xsltproc --xinclude -o $(PDFBASE)bn/desktopguide.fo $(PDFSTYLE) desktopguide/bn/desktopguide.xml
	fop -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
	rm $(PDFBASE)bn/desktopguide.fo

dg-pdf-cs:

	xsltproc --xinclude -o $(PDFBASE)cs/desktopguide.fo $(PDFSTYLE) desktopguide/cs/desktopguide.xml
	fop -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
	rm $(PDFBASE)cs/desktopguide.fo

dg-pdf-da:

	xsltproc --xinclude -o $(PDFBASE)da/desktopguide.fo $(PDFSTYLE) desktopguide/da/desktopguide.xml
	fop -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
	rm $(PDFBASE)da/desktopguide.fo

dg-pdf-de:

	xsltproc --xinclude -o $(PDFBASE)de/desktopguide.fo $(PDFSTYLE) desktopguide/de/desktopguide.xml
	fop -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
	rm $(PDFBASE)de/desktopguide.fo

dg-pdf-en_GB:

	xsltproc --xinclude -o $(PDFBASE)en_GB/desktopguide.fo $(PDFSTYLE) desktopguide/en_GB/desktopguide.xml
	fop -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
	rm $(PDFBASE)en_GB/desktopguide.fo

dg-pdf-es:

	xsltproc --xinclude -o $(PDFBASE)es/desktopguide.fo $(PDFSTYLE) desktopguide/es/desktopguide.xml
	fop -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
	rm $(PDFBASE)es/desktopguide.fo

dg-pdf-et:

	xsltproc --xinclude -o $(PDFBASE)et/desktopguide.fo $(PDFSTYLE) desktopguide/et/desktopguide.xml
	fop -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
	rm $(PDFBASE)et/desktopguide.fo

dg-pdf-fi:

=== debian/changelog ===
ubuntu-docs (6.10.4.2) edgy-updates; urgency=low

  * Updated verified by Michael Vogt.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  1 Mar 2007 10:30:10 +0100

ubuntu-docs (6.10.4.1) edgy-proposed; urgency=low

  * Stable release update approved by Colin Watson - bug 74555
  * Some missing entities causing validity havoc in our docbook - bug 70958
  * Fixing invalidity of contribute.xml
  * Updated German browser homepage
  * Install French translation of Packaging guide - bug 68343
  * Fixes to bind9 instructions in server guide - bug 72414

 -- Matthew East <mdke@ubuntu.com>  Mon, 8 Jan 2007 20:53:00 +0000

=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs
Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml
Standards-Version: 3.7.2

Package: ubuntu-docs
Architecture: all
Depends: scrollkeeper
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Recommends: yelp
Description: The Ubuntu Documentation Project
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. It includes the Ubuntu Desktop Guide, 
 the Ubuntu Server Guide, the Ubuntu Packaging Guide and two documents about Ubuntu.  The guides can 
 be viewed using Yelp, the GNOME help browser, or by Firefox as html 
 documents.

## ubuntu-docs 7.04.4

=== Makefile ===
####################################################################################           
# Makefile for the Ubuntu Documentation Website
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Ubuntu Docbook Customization Layer

INDEXCHUNKXSL=libs/index-html-chunk-cust.xsl

# Base gnome directories for output from processor
BASE=build/

website: index
	@echo "Building the Ubuntu Docs . . ."

	make -C ubuntu -f Makefile all

	@echo "Building the Kubuntu Docs . . ."

	make -C kubuntu -f Makefile all

	@echo "Building the Edubuntu Docs . . ."
	make -C edubuntu -f Makefile all

	@echo "Building the Index Page . . ."

index:

	xsltproc --stringparam root.filename "index" -o $(BASE) $(INDEXCHUNKXSL) website-index/C/website-index.xml
	cp libs/index.css $(BASE)

# This is an example target for translations, where "cc" is the country-code for the translation language.
index-cc:

	xsltproc --stringparam root.filename "index.cc" -o $(BASE) $(INDEXCHUNKXSL) website-index/cc/website-index.xml
	cp libs/index.css $(BASE)

=== ubuntu/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl
# Local path to newer xsl for use with fop 0.90
PDFSTYLE2=../libs/pdf/ubuntu-pdf2.xsl

# Base gnome directories for output from processor
BASE=../build/ubuntu/

IMAGES=../build/ubuntu/images/

.PHONY: website switching

gdeb: 

all: clean style server index serverguide switching status package

	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done

server:

	xsltproc --xinclude -o $(BASE)server/C/index.html $(UBUNTUCHUNKXSL) ../generic/server/C/server.xml

index:

	xsltproc --stringparam html.stylesheet "../common/ubuntu-book.css" -o $(BASE)index.html $(UBUNTUCHUNKXSL) index.xml

clean:
	rm -rf $(BASE)*

style:

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

## Targets for building standalone documents

switching:

	xsltproc --stringparam html.stylesheet "common/ubuntu-book.css" --stringparam navig.graphics.path "images/navig/" --stringparam callout.graphics.path "images/callouts/" --stringparam admon.graphics.path "images/admin/" --xinclude -o $(BASE)switching/index.html $(UBUNTUCHUNKXSL) switching/C/switching.xml

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/switching/common/img
	cp libs/*css ../build/ubuntu/switching/common/
	cp libs/img/*png ../build/ubuntu/switching/common/img/
	mkdir -p ../build/ubuntu/switching/images/admon
	cp -r ../common/admon/*.* ../build/ubuntu/switching/images/admon	
	mkdir -p ../build/ubuntu/switching/images/callouts
	cp -r ../common/callouts/*.* ../build/ubuntu/switching/images/callouts	
	mkdir -p ../build/ubuntu/switching/images/navig
	cp -r ../common/navig/*.* ../build/ubuntu/switching/images/navig	

serverguide: style

	for po in `ls ../generic/serverguide/po/`; do lang=$$(basename $$po .po); echo "Building html for $$lang"; xsltproc --xinclude -o $(BASE)serverguide/$$lang/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$lang/serverguide.xml; done

package: style

	xsltproc --xinclude -o $(BASE)packagingguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/packagingguide/C/packagingguide.xml

status: style

	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) ../generic/serverguide/C/serverguide.xml
	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml

=== debian/changelog ===
ubuntu-docs (7.04.4) feisty; urgency=low

  * debian/control: Add missing Pre-depends: on dpkg for bzip2 compression
    support.
  * debian/rules: Use the same 'poorly translated' barrier for the server
    parts of ubuntu-doc, and raise the bar to 30%.
  * debian/rules: Add -o /dev/null to msgfmt calls to avoid writing
    messages.mo into the root directory.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Apr 2007 10:00:01 +0200

ubuntu-docs (7.04.3) feisty; urgency=low

  * Update translations from Rosetta
  * Install translations for ubuntu-serverguide
  * Unbreak about-ubuntu panel menu entry
  * [Martin Pitt]:
    - debian/rules: Do not ship documents which are less than 25% translated.
      They are useless for non-English speakers anyway and bloat the package.
    - debian/control: Add bc build dependency (needed for the percentage 
      calculation).

 -- Matthew East <mdke@ubuntu.com>  Sun,  8 Apr 2007 10:26:54 +0100

ubuntu-docs (7.04.2) feisty; urgency=low

  * Package diet to stop being so ridiculously space inefficient:
    - debian/rules: Use bzip2 compression.
    - Add symlink-dupes and run it in debian/rules, to symlink duplicate
      files. Add fdupes build dependency for that.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  5 Apr 2007 12:32:17 +0200

ubuntu-docs (7.04.1) feisty; urgency=low

  * Adding translations for all documents
  * [Daniel Holbach]
    - debian/control: change gnome2-user-guide to gnome-user-guide.

 -- Matthew East <mdke@ubuntu.com>  Wed,  4 Apr 2007 08:00:57 +0100

ubuntu-docs (7.03.3) feisty; urgency=low

  * A few new strings approved as per DocumentationStringFreeze
  * Refreshing pot templates
  * Removing pot template for switching guide

 -- Matthew East <matt@kalliope>  Thu, 15 Mar 2007 08:25:46 +0000

ubuntu-docs (7.03.2) feisty; urgency=low

  * New material, mainly from Phil Bull
  * Refreshing pot templates
  * String freeze now in effect

 -- Matthew East <mdke@ubuntu.com>  Thu,  8 Mar 2007 08:20:38 +0000

ubuntu-docs (7.03.1) feisty; urgency=low

  * Two new documents - basic-commands and desktop-effects
  * Refreshing pot templates

 -- Matthew East <matt@kalliope>  Sat,  3 Mar 2007 11:03:55 +0000

ubuntu-docs (7.02.3) feisty; urgency=low

  * split out serverguide as a standalone .deb
    - moved install, links, postinst, and prerm to ubuntu-docs.*
    - added ubuntu-serverguide binary section to debian/control
    - cleaned up long descriptions to reflect what is actually
      shipped.
    - added ubuntu-serverguide build and install rules
  * split out packagingguide as standalone .deb
  * updated debian/copyright to reflect above

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 21 Feb 2007 02:10:28 -0800

ubuntu-docs (7.02.2) feisty; urgency=low

  * Adding a "Files, Folders and Documents" topic.
  * Various text updates

 -- Matthew East <matt@kalliope>  Fri,  9 Feb 2007 08:21:45 +0000

ubuntu-docs (7.02.1) feisty; urgency=low

  * Installing documents within the gnome/help scheme
    - for easier linking

 -- Matthew East <mdke@ubuntu.com>  Fri,  2 Feb 2007 00:28:53 +0000

ubuntu-docs (7.01.3) feisty; urgency=low

  * Rearranging directory structure and adding translation templates

 -- Matthew East <mdke@ubuntu.com>  Sat, 27 Jan 2007 07:53:31 -0500

ubuntu-docs (7.01.2) feisty; urgency=low

  * adding new advanced-topics category with links to man pages

 -- Matthew East <mdke@ubuntu.com>  Wed, 24 Jan 2007 00:14:21 +0000

ubuntu-docs (7.01.1) feisty; urgency=low

  * Adding gnome2-user-guide and yelp to Depends
  * Two new top level topics

 -- Matthew East <mdke@ubuntu.com>  Tue,  9 Jan 2007 00:08:10 +0000

ubuntu-docs (6.12.2) feisty; urgency=low

  * Tweaking of which documents show up on the front page
  * Various text updates

 -- Matthew East <mdke@ubuntu.com>  Sat, 23 Dec 2006 01:11:53 +0000

ubuntu-docs (6.12.1) feisty; urgency=low

  * Serious revamping of structure of documentation, accordingly
	 changes made to packaging. Please do some serious testing.

 -- Matthew East <mdke@ubuntu.com>  Sat, 16 Dec 2006 17:00:00 +0000

ubuntu-docs (6.11.2) feisty; urgency=low

  * Changing the packaging process to point mainly at debian/rules rather
	 than debian/install so we don't have to keep adding files manually to the
	 latter.

 -- Matthew East <mdke@ubuntu.com>  Sun, 19 Nov 2006 10:39:00 +0000

ubuntu-docs (6.11.1) edgy-updates; urgency=low

  * Some missing entities causing validity havoc in our docbook
  * Fixing invalidity of contribute.xml

 -- Matthew East <mdke@ubuntu.com>  Sat, 18 Nov 2006 20:53:00 +0000

=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs
Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, fdupes, bc
Standards-Version: 3.7.2

Package: ubuntu-docs
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Depends: scrollkeeper, gnome-user-guide, yelp
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Description: The Ubuntu Documentation Project
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. The documentation can  be viewed using
 Yelp, the GNOME help browser.

Package: ubuntu-serverguide
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Suggests: firefox
Description: The Ubuntu Server Guide
 This package holds the official Ubuntu Server Guide. The guide can 
 be viewed using an html browser.

Package: packaging-guide
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Suggests: firefox
Description: The Ubuntu Packaging Guide
 This package holds the official Ubuntu Packaging Guide. The guide can 
 be viewed using an html browser.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2

DEB_SRCDIR = ubuntu

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common

common-binary-post-install-indep::
	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		ubuntu/browser-startpage \
		debian/ubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-ubuntu \
		../index.html

# Install the documents; skip documents which are less than 30% translated

		for doc in `cat ubuntu/libs/shipped-docs`; do \
			numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
			for lang in `ls ubuntu/$$doc/`; do \
				if [ -e ubuntu/$$doc/po/$$lang.po ]; then \
					translated=`LANG=C msgfmt -o /dev/null --statistics ubuntu/$$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
					if [ "`echo "$$translated./$$numstrings > 0.3" | bc -l`" = "0" ]; then \
						echo "$$doc $$lang is less than 30% translated, skipping"; \
						continue; \
					fi; \
				fi; \
				if [ -e ubuntu/$$doc/$$lang/$$doc.xml ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
					cp ubuntu/$$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
				fi; \
				if [ -e ubuntu/$$doc/$$lang/*.omf ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
					cp ubuntu/$$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
				fi; \
			done; \
		done; \

# Server material is done slightly differently

		for doc in server; do \
			numstrings=`LANG=C msgfmt --statistics generic/serverguide/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
			for lang in `ls generic/$$doc/`; do \
				if [ -e generic/serverguide/po/$$lang.po ]; then \
					translated=`LANG=C msgfmt -o /dev/null --statistics generic/serverguide/po/$$lang.po 2>&1| cut -f1 -d\ `; \
					if [ "`echo "$$translated./$$numstrings > 0.30" | bc -l`" = "0" ]; then \
						echo "$$doc $$lang is less than 30% translated, skipping"; \
						continue; \
					fi; \
				fi; \
				if [ -e generic/$$doc/$$lang/$$doc.xml ]; then \
				mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang; \
				cp -r generic/$$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
				fi; \
			done; \
		done; \

# Common documents

	cp -r common debian/ubuntu-docs/usr/share/ubuntu-docs/ 

# Scrollkeeper loving

	dh_scrollkeeper 

build/ubuntu-serverguide::
	cd ubuntu; $(MAKE) serverguide

install/ubuntu-serverguide::
	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
	cp -R build/ubuntu/common/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
	cp -R build/ubuntu/images/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
	cp ubuntu/libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/
	cp -R build/ubuntu/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/

build/packaging-guide::
	cd ubuntu; $(MAKE) package

install/packaging-guide::
	mkdir -p debian/packaging-guide/usr/share/packaging-guide/html/C
	cp -R build/ubuntu/common/ debian/packaging-guide/usr/share/packaging-guide/
	cp -R build/ubuntu/images/ debian/packaging-guide/usr/share/packaging-guide/
	cp -R generic/packagingguide/files/ debian/packaging-guide/usr/share/packaging-guide/
	cp ubuntu/libs/ubuntu-book.css debian/packaging-guide/usr/share/packaging-guide/common/
	cp -R build/ubuntu/packagingguide/C/*.html debian/packaging-guide/usr/share/packaging-guide/html/C/

binary-fixup/ubuntu-docs::
	(cd debian/ubuntu-docs; ../../symlink-dupes)

## ubuntu-docs 7.10.4

=== ubuntu/Makefile ===
--- 
+++ 
@@ -109,7 +109,8 @@
 
 serverguide: style
 
-	for po in `ls ../generic/serverguide/po/`; do lang=$$(basename $$po .po); echo "Building html for $$lang"; xsltproc --xinclude -o $(BASE)serverguide/$$lang/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$lang/serverguide.xml; done
+	for i in ../generic/serverguide/po/*.po ; do y=$$(basename $$i .po) ; echo $$y ; xsltproc --xinclude -o $(BASE)serverguide/$$y/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$y/serverguide.xml ; done
+	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/C/serverguide.xml
 
 package: style

=== debian/changelog ===
ubuntu-docs (7.10.4) gutsy; urgency=low

  * Fix broken link in "windows" document (LP: #144796)

 -- Matthew East <mdke@ubuntu.com>  Fri, 12 Oct 2007 08:36:57 +0100

ubuntu-docs (7.10.3) gutsy; urgency=low

  * Advanced Topics - changing link to more useful doc for programming reference

 -- Matthew East <mdke@ubuntu.com>  Sun, 07 Oct 2007 12:34:41 +0100

ubuntu-docs (7.10.2) gutsy; urgency=low

  * New translation export from rosetta
  * Restoring translations over 40% complete
  * Including all languages in ubuntu-serverguide package (LP: #110863)
  * Last package upload before gutsy (LP: #149993)

 -- Matthew East <mdke@ubuntu.com>  Sat, 06 Oct 2007 15:25:19 +0100

ubuntu-docs (7.10.1) gutsy; urgency=low

  * Adding translations to source package
  * Don't install libs/pdf directory 
  * Restore symlink-dupes script to eliminate duplicate files (LP: 149040)
  * Fix debian/rules to take account of new location for pot files (thanks to Martin Pitt)
  * Only install translations which are >90% complete (temporary measure to keep package size small)

 -- Matthew East <mdke@ubuntu.com>  Thu, 04 Oct 2007 08:17:06 +0100

ubuntu-docs (7.09.3) gutsy; urgency=low

  * Strip out unwanted directories from the source package in 
		debian/rules rather than manually.

 -- Matthew East <mdke@ubuntu.com>  Mon, 17 Sep 2007 08:46:53 +0100

ubuntu-docs (7.09.2) gutsy; urgency=low

  * New SVN checkout
  * String Freeze in effect, refreshing pot templates

 -- Matthew East <mdke@ubuntu.com>  Fri, 14 Sep 2007 08:23:05 +0100

ubuntu-docs (7.09.1) gutsy; urgency=low

  * New SVN checkout
  * Changing 7.04 to 7.10 in browser homepage

 -- Matthew East <mdke@ubuntu.com>  Tue, 28 Aug 2007 08:14:03 +0100

ubuntu-docs (7.07.2) gutsy; urgency=low

  * New SVN checkout.

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 15 Aug 2007 13:35:31 -0700

ubuntu-docs (7.07.1) gutsy; urgency=low

  * New SVN checkout.
  * debian/rules: remove symlink-dupes bits.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 04 Jul 2007 09:30:59 +0200

## ubuntu-docs 7.10.5

=== ubuntu/Makefile ===
--- 
+++ 
@@ -66,13 +66,17 @@
 
 	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
 
+website: clean style server index
+
+	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
+
 server:
 
 	xsltproc --xinclude -o $(BASE)server/C/index.html $(UBUNTUCHUNKXSL) ../generic/server/C/server.xml
 
 index:
 
-	xsltproc --stringparam html.stylesheet "../common/ubuntu-book.css" -o $(BASE)index.html $(UBUNTUCHUNKXSL) index.xml
+	xsltproc --stringparam html.stylesheet "common/ubuntu-book.css" -o $(BASE)index.html $(UBUNTUCHUNKXSL) index.xml
 
 clean:
 	rm -rf $(BASE)*

=== debian/changelog ===
ubuntu-docs (7.10.5) gutsy-proposed; urgency=low

  * Updating translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Fri, 29 Feb 2008 23:45:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 preptrans=prepare-firefox-startpage-translations
 preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common
 
+clean::
+	@grep -E ^"\*" debian/README.Debian | sed 's/^\*\ //' | xargs rm -rf
+	@echo "---"
+
 common-binary-post-install-indep::
 	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
 	$(install755) -d $(preptransdir)
@@ -27,15 +31,15 @@
 		/usr/share/ubuntu-artwork/home/locales-ubuntu \
 		../index.html
 
-# Install the documents; skip documents which are less than 30% translated
+# Install the documents; skip documents which are less than 40% translated
 
-		for doc in `cat ubuntu/libs/shipped-docs`; do \
-			numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+	set -x; for doc in `cat ubuntu/libs/shipped-docs`; do \
+		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls ubuntu/$$doc/`; do \
 				if [ -e ubuntu/$$doc/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics ubuntu/$$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.3" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 30% translated, skipping"; \
+					if [ "`echo "$$translated./$$numstrings > 0.4" | bc -l`" = "0" ]; then \
+						echo "$$doc $$lang is less than 40% translated, skipping"; \
 						continue; \
 					fi; \
 				fi; \
@@ -53,12 +57,12 @@
 # Server material is done slightly differently
 
 		for doc in server; do \
-			numstrings=`LANG=C msgfmt --statistics generic/serverguide/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+            numstrings=`LANG=C msgfmt --statistics generic/serverguide/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls generic/$$doc/`; do \
 				if [ -e generic/serverguide/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics generic/serverguide/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.30" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 30% translated, skipping"; \
+					if [ "`echo "$$translated./$$numstrings > 0.40" | bc -l`" = "0" ]; then \
+						echo "$$doc $$lang is less than 40% translated, skipping"; \
 						continue; \
 					fi; \
 				fi; \
@@ -66,12 +70,16 @@
 				mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang; \
 				cp -r generic/$$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 				fi; \
+				if [ -e generic/$$doc/$$lang/*.omf ]; then \
+					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
+					cp generic/$$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
+				fi; \
 			done; \
 		done; \
 
 # Common documents
 
-	cp -r common debian/ubuntu-docs/usr/share/ubuntu-docs/ 
+		cp -r common debian/ubuntu-docs/usr/share/ubuntu-docs/ 
 
 # Scrollkeeper loving
 
@@ -84,7 +92,7 @@
 	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
 	cp -R build/ubuntu/common/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R build/ubuntu/images/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
-	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
+	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp ubuntu/libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/
 	cp -R build/ubuntu/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/

## ubuntu-docs 8.04.2~hardy

=== ubuntu/Makefile ===
--- 
+++ 
@@ -62,17 +62,9 @@
 
 gdeb: 
 
-all: clean style server index serverguide switching status package
+all: clean style index serverguide switching status contributors
 
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
-
-website: clean style server index
-
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
-
-server:
-
-	xsltproc --xinclude -o $(BASE)server/C/index.html $(UBUNTUCHUNKXSL) ../generic/server/C/server.xml
+	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"; done
 
 index:
 
@@ -113,14 +105,48 @@
 
 serverguide: style
 
-	for i in ../generic/serverguide/po/*.po ; do y=$$(basename $$i .po) ; echo $$y ; xsltproc --xinclude -o $(BASE)serverguide/$$y/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$y/serverguide.xml ; done
 	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/C/serverguide.xml
+	sed -i ../build/ubuntu/serverguide/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"
 
-package: style
-
-	xsltproc --xinclude -o $(BASE)packagingguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/packagingguide/C/packagingguide.xml
 
 status: style
 
 	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) ../generic/serverguide/C/serverguide.xml
 	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml
+
+contributors: style
+
+	xsltproc --stringparam root.filename "contributors" -o $(BASE)common/C/ $(UBUNTUCHUNKXSL) ../common/C/contributors.xml
+
+index-test: style
+
+	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml
+	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications#add-applications.html#g"
+
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:administrative##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:users-admin##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:basic-commands##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:programming##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#panels##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#menubar##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#prefs##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:desktop-effects##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications\#synaptic##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#restricted-manager##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#nautilus##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#disks##g"
+#
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#
+

=== debian/changelog ===
ubuntu-docs (8.04.2~hardy) hardy; urgency=low

  * Adding symlinks to fix offline FF startpage for several languages

 -- Matthew East <mdke@ubuntu.com>  Mon, 21 Apr 2008 22:33:10 +0100

ubuntu-docs (8.04.1) hardy; urgency=low

  * New bzr checkout (LP: #110983, LP: #210878)
  * Update translations from Launchpad (LP: #214518)
  * Fix broken translations
  * Grammar fixes for serverguide
  * Should be last upload for hardy

 -- Matthew East <mdke@ubuntu.com>  Sat, 12 Apr 2008 11:32:30 +0100

ubuntu-docs (8.03.4) hardy; urgency=low

  * Install omf file for serverguide (LP: #208134)

 -- Matthew East <mdke@ubuntu.com>  Fri, 28 Mar 2008 08:12:48 +0000

ubuntu-docs (8.03.3) hardy; urgency=low

  * New bzr checkout (LP: #181236, LP: #203198, LP: #204163, LP: #204666)
  * String freeze now in effect
  * Refresh pot files

 -- Matthew East <mdke@ubuntu.com>  Fri, 21 Mar 2008 14:34:49 +0000

ubuntu-docs (8.03.2) hardy; urgency=low

  * New bzr checkout (LP: #176678, LP: #118963, LP: #108083, LP: #202312)
  * Replacing "server" document with "serverguide"
  * Refresh pot files
  * Fixing debian/rules to filter translations less than 40%

 -- Matthew East <mdke@ubuntu.com>  Sun, 16 Mar 2008 22:16:42 +0000

ubuntu-docs (8.03.1) hardy; urgency=low

  * New bzr checkout (LP: #49435, LP: #197557, LP: #172650, LP: #192202,
    LP: #144788, LP: #162446, LP: #183339, LP: #195882)
  * Include html version of contributors in ubuntu-serverguide (LP: #88814)
  * Refresh pot templates

 -- Matthew East <mdke@ubuntu.com>  Sun, 09 Mar 2008 18:37:08 +0000

ubuntu-docs (8.02.2) hardy; urgency=low

  * Adding translations for all documents
  * Amending path for pot templates, as requested by carlos

 -- Matthew East <mdke@ubuntu.com>  Wed, 20 Feb 2008 07:56:10 +0000

ubuntu-docs (8.02.1) hardy; urgency=low

  * New bzr checkout - loads of text fixes and improvements (LP: #183148,
    LP: #183025, LP: #178064, LP: #160435, LP: #158016, LP: #146794, 
    LP: #144795, LP: #185867, LP: #163188, LP: #150167, LP: #148372, 
    LP: #144928, LP: #141491, LP: #141444, LP: #138891, LP: #172565, 
    LP: #144285, LP: #150641, LP: #176678)
  * First release for hardy

 -- Matthew East <mdke@ubuntu.com>  Sat, 16 Feb 2008 18:31:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # Install the documents; skip documents which are less than 40% translated
 
 	set -x; for doc in `cat ubuntu/libs/shipped-docs`; do \
-		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls ubuntu/$$doc/`; do \
 				if [ -e ubuntu/$$doc/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics ubuntu/$$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
@@ -56,8 +56,8 @@
 
 # Server material is done slightly differently
 
-		for doc in server; do \
-            numstrings=`LANG=C msgfmt --statistics generic/serverguide/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+	set -x;	for doc in serverguide; do \
+	       numstrings=`LANG=C msgfmt --statistics generic/serverguide/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls generic/$$doc/`; do \
 				if [ -e generic/serverguide/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics generic/serverguide/po/$$lang.po 2>&1| cut -f1 -d\ `; \
@@ -86,26 +86,17 @@
 	dh_scrollkeeper 
 
 build/ubuntu-serverguide::
-	cd ubuntu; $(MAKE) serverguide
+	cd ubuntu; $(MAKE) serverguide; $(MAKE) contributors
 
 install/ubuntu-serverguide::
 	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
+	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/C
 	cp -R build/ubuntu/common/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R build/ubuntu/images/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp ubuntu/libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/
 	cp -R build/ubuntu/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
-
-build/packaging-guide::
-	cd ubuntu; $(MAKE) package
-
-install/packaging-guide::
-	mkdir -p debian/packaging-guide/usr/share/packaging-guide/html/C
-	cp -R build/ubuntu/common/ debian/packaging-guide/usr/share/packaging-guide/
-	cp -R build/ubuntu/images/ debian/packaging-guide/usr/share/packaging-guide/
-	cp -R generic/packagingguide/files/ debian/packaging-guide/usr/share/packaging-guide/
-	cp ubuntu/libs/ubuntu-book.css debian/packaging-guide/usr/share/packaging-guide/common/
-	cp -R build/ubuntu/packagingguide/C/*.html debian/packaging-guide/usr/share/packaging-guide/html/C/
+	cp -R build/ubuntu/common/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/C/
 
 binary-fixup/ubuntu-docs::
 	(cd debian/ubuntu-docs; ../../symlink-dupes)
